package me.hammerle.supersnuvi.rendering;

import java.io.File;
import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.stage.Stage;
import me.hammerle.supersnuvi.gamelogic.Level;
import me.hammerle.supersnuvi.gamelogic.LevelData;
import me.hammerle.supersnuvi.util.SoundUtils;

public class GameWindow extends Application
{
    public static boolean isRunning;
    
    public static void main(String[] args) 
    {
        Application.launch(args);
        
        //System.out.println("HALLO");
        
        /*Level l = new Level(null, new File("./olevels/04-Like_Ice.map"));
        System.out.println(l.height);
        System.out.println(l.width);
        
        LevelData test = new LevelData("04-Like_Ice.map");
        test.setData("name", l.name);
        test.height = l.height;
        test.width = l.width;
        test.layers = 4;
        test.bIndex = 1;
        test.tiles = new int[4][][];
        test.tiles[0] = l.background;
        test.tiles[1] = l.background2;
        test.tiles[2] = new int[l.width][l.height];
        test.tiles[3] = l.foreground;
        
        test.save();*/
        
        //test.load();
        
        //test.setData("name", "ich bin ein name");
        //test.setData("time", 5);
        //test.save();
        //test.load();
        //System.out.println(test.getString("name", null));
        
        //System.exit(0);
    }

    @Override
    public void init() throws Exception 
    {
        super.init();
        isRunning = true;
    }
    
    @Override
    public void start(Stage stage) throws Exception 
    {
        stage.setTitle("Super Snuvi");
         
        Group root = new Group();
        Scene scene = new Scene(root);

        stage.setScene(scene);
        
        Canvas canvas = new Canvas(800, 600);     
        root.getChildren().add(canvas);
              
        GameRenderer timer = new GameRenderer(scene, canvas);
        timer.start();
        
        stage.show();
    }

    @Override
    public void stop() throws Exception 
    {
        super.stop();
        isRunning = false;
        SoundUtils.playSounds();
    }
}
